# @acodez/areachart

![npm_version](https://img.shields.io/npm/v/@acodez/areachart)
![license](https://img.shields.io/npm/l/@acodez/areachart)

React button component with plenty of customization.


-----

- **[Installation](#installation)**
- **[PropsAPI](#props-api)**
- **[Usage](#usage)**

-----

<a name="installation"></a>
## Installation

```bash
npm install @acodez/areachart
```



<a name="propsapi"></a>
## Props API



| Property | Type | Required | Default value | Description |
|-----|-----|-----|-----|:-----|
|**color**|`string`|no|`#007BFF`| color of graph|
|**xaxisdata**|`array`|yes|``| x axis data |
|**yaxisdata**|`array`|yes|``| y axis data |
|**smoothline**|`boolean`|no|``| stroke smoothline option |
|**xyaxisdatahidden**|`boolean`|no|``| x and y axis labels hidden |
|**height**|`string`|no|`250`| height of graph |
|**showgrid**|`boolean`|no|`false`| height of graph |
  
-----


<a name="usage"></a>
## Usage

```jsx

import Areachart from "@acodez/areachart";

<Areachart 
    color="#007BFF"
    xaxisdata={[1991, 1992, 1993, 1994, 1995, 1996, 1997, 1998]}
    yaxisdata={[30,40,35,50,49,60,70,91]}
/>
```

